---
search:
  tags:
    - Attribute Templates V2
    - PATCH
seo:
  description: >-
    Bulk-patches… Reference for the PATCH
    /api/v2/{team_slug}/{app_slug}/attribute-templates/{template_id}/attributes
    endpoint in the Management API v2.
sidebar:
  label: Update attributes
  badge: PATCH
title: Update attributes
type: openapi-operation
---
Bulk-patches attributes by id. Successful entities are returned in data; per-item failures in errors.

`PATCH /api/v2/{team_slug}/{app_slug}/attribute-templates/{template_id}/attributes`

**Request body** (`application/json`, required)

- `attributes` (PatchAttributeItem[], required)

Request body example:

```json
{
  "attributes": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "key": "string",
      "name": "string",
      "description": "string",
      "values": {}
    }
  ]
}
```

**Responses**

- `200` — Patched (partial success possible)
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "key": "string",
      "template_key": "string",
      "template_name": "string",
      "name": "string",
      "description": "string",
      "filterable": true,
      "translatable": true,
      "values": {
        "property1": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "field_id": "e68e30b1-d177-4632-b748-463bcd0eedc6",
          "value": "string",
          "type": "string",
          "image_id": "84c230fd-5520-4984-8119-37365b66fd80",
          "translations": {
            "value": [
              {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "locale": "string",
                "value": "string"
              }
            ]
          }
        },
        "property2": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "field_id": "e68e30b1-d177-4632-b748-463bcd0eedc6",
          "value": "string",
          "type": "string",
          "image_id": "84c230fd-5520-4984-8119-37365b66fd80",
          "translations": {
            "value": [
              {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "locale": "string",
                "value": "string"
              }
            ]
          }
        }
      },
      "translations": {
        "name": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ],
        "description": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ]
      },
      "updated_at": "2019-08-24T14:15:22Z",
      "created_at": "2019-08-24T14:15:22Z"
    }
  ],
  "errors": [
    {
      "key": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "message": "string"
    }
  ]
}
```
